/*-
 * ~~~~~~licensing~~~~~~
 * artifact-management
 * ==========
 * Copyright (C) 2020 - 2025 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.repository.impl;

import ru.entaxy.platform.core.artifact.repository.RepositoryDescriptor;

public class RepositoryDescriptorImpl implements RepositoryDescriptor {

    protected String name;
    String location;
    String url;
    boolean isProxy;
    boolean isMirror;
    String remotes;
    boolean isReadOnly = false;
    boolean copyOnChange;
    String username = "";
    String password = "";

    boolean isSnapshots = false;

    boolean isEnabled = true;

    String remoteHostSuffix = "";

    boolean isSystem = true;

    boolean isLookupEnabled = true;

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    @Override
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public boolean isProxy() {
        return isProxy;
    }

    public void setProxy(boolean isProxy) {
        this.isProxy = isProxy;
    }

    @Override
    public boolean isMirror() {
        return isMirror;
    }

    public void setMirror(boolean isMirror) {
        this.isMirror = isMirror;
    }

    @Override
    public boolean isSnapshots() {
        return isSnapshots;
    }

    public void setSnapshots(boolean isSnapshots) {
        this.isSnapshots = isSnapshots;
    }

    @Override
    public String getRemotes() {
        return remotes;
    }

    public void setRemotes(String remotes) {
        this.remotes = remotes;
    }

    @Override
    public boolean isReadOnly() {
        return isReadOnly;
    }

    public void setReadOnly(boolean isReadOnly) {
        this.isReadOnly = isReadOnly;
    }

    @Override
    public boolean isCopyOnChange() {
        return copyOnChange;
    }

    public void setCopyOnChange(boolean copyOnChange) {
        this.copyOnChange = copyOnChange;
    }

    @Override
    public boolean isEnabled() {
        return isEnabled;
    }

    public void setEnabled(boolean isEnabled) {
        this.isEnabled = isEnabled;
    }

    @Override
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    @Override
    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String getRemoteHostSuffix() {
        return remoteHostSuffix;
    }

    public void setRemoteHostSuffix(String remoteHostSuffix) {
        this.remoteHostSuffix = remoteHostSuffix;
    }

    @Override
    public boolean isSystem() {
        return isSystem;
    }

    public void setSystem(boolean isSystem) {
        this.isSystem = isSystem;
    }

    @Override
    public boolean isLookupEnabled() {
        return isLookupEnabled;
    }

    public void setLookupEnabled(boolean isLookupEnabled) {
        this.isLookupEnabled = isLookupEnabled;
    }

}
